Create a new council sage
curl --request POST \
--url {protocol}://{host}:{port}/pl/council-sage/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Senior Engineer Screen",
"role": "Software Engineer",
"role_level": "senior",
"sage_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"council_id": "6151186e-3b17-4fb2-a54d-ff327bf7a71a",
"context_id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"results_id": "d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a",
"duration": 30
}
'import requests
url = "{protocol}://{host}:{port}/pl/council-sage/"
payload = {
"name": "Senior Engineer Screen",
"role": "Software Engineer",
"role_level": "senior",
"sage_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"council_id": "6151186e-3b17-4fb2-a54d-ff327bf7a71a",
"context_id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"results_id": "d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a",
"duration": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Senior Engineer Screen',
role: 'Software Engineer',
role_level: 'senior',
sage_id: 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e',
council_id: '6151186e-3b17-4fb2-a54d-ff327bf7a71a',
context_id: 'a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d',
results_id: 'd4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a',
duration: 30
})
};
fetch('{protocol}://{host}:{port}/pl/council-sage/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/pl/council-sage/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Senior Engineer Screen',
'role' => 'Software Engineer',
'role_level' => 'senior',
'sage_id' => 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e',
'council_id' => '6151186e-3b17-4fb2-a54d-ff327bf7a71a',
'context_id' => 'a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d',
'results_id' => 'd4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a',
'duration' => 30
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/pl/council-sage/"
payload := strings.NewReader("{\n \"name\": \"Senior Engineer Screen\",\n \"role\": \"Software Engineer\",\n \"role_level\": \"senior\",\n \"sage_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"council_id\": \"6151186e-3b17-4fb2-a54d-ff327bf7a71a\",\n \"context_id\": \"a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d\",\n \"results_id\": \"d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a\",\n \"duration\": 30\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("{protocol}://{host}:{port}/pl/council-sage/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Senior Engineer Screen\",\n \"role\": \"Software Engineer\",\n \"role_level\": \"senior\",\n \"sage_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"council_id\": \"6151186e-3b17-4fb2-a54d-ff327bf7a71a\",\n \"context_id\": \"a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d\",\n \"results_id\": \"d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a\",\n \"duration\": 30\n}")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/pl/council-sage/")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Senior Engineer Screen\",\n \"role\": \"Software Engineer\",\n \"role_level\": \"senior\",\n \"sage_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"council_id\": \"6151186e-3b17-4fb2-a54d-ff327bf7a71a\",\n \"context_id\": \"a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d\",\n \"results_id\": \"d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a\",\n \"duration\": 30\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"role": "<string>",
"role_level": "<string>",
"instructions": "<string>",
"results_instructions": "<string>",
"context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intro_question": "<string>",
"duration": 123,
"version": 123,
"sage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"council_id": "<string>",
"results_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {},
"active": true,
"tone": "<string>",
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_avatar": "<string>",
"language_code": "<string>",
"followup_days": 123,
"audio": true,
"is_demo": true,
"is_internal": true,
"language": true,
"test_results": {}
}
Council Sage
Create a new council sage
Creates a new council sage record in both council_sages and
council_sages_history tables.
POST
/
pl
/
council-sage
/
Create a new council sage
curl --request POST \
--url {protocol}://{host}:{port}/pl/council-sage/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Senior Engineer Screen",
"role": "Software Engineer",
"role_level": "senior",
"sage_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"council_id": "6151186e-3b17-4fb2-a54d-ff327bf7a71a",
"context_id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"results_id": "d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a",
"duration": 30
}
'import requests
url = "{protocol}://{host}:{port}/pl/council-sage/"
payload = {
"name": "Senior Engineer Screen",
"role": "Software Engineer",
"role_level": "senior",
"sage_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"council_id": "6151186e-3b17-4fb2-a54d-ff327bf7a71a",
"context_id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"results_id": "d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a",
"duration": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Senior Engineer Screen',
role: 'Software Engineer',
role_level: 'senior',
sage_id: 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e',
council_id: '6151186e-3b17-4fb2-a54d-ff327bf7a71a',
context_id: 'a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d',
results_id: 'd4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a',
duration: 30
})
};
fetch('{protocol}://{host}:{port}/pl/council-sage/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/pl/council-sage/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Senior Engineer Screen',
'role' => 'Software Engineer',
'role_level' => 'senior',
'sage_id' => 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e',
'council_id' => '6151186e-3b17-4fb2-a54d-ff327bf7a71a',
'context_id' => 'a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d',
'results_id' => 'd4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a',
'duration' => 30
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/pl/council-sage/"
payload := strings.NewReader("{\n \"name\": \"Senior Engineer Screen\",\n \"role\": \"Software Engineer\",\n \"role_level\": \"senior\",\n \"sage_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"council_id\": \"6151186e-3b17-4fb2-a54d-ff327bf7a71a\",\n \"context_id\": \"a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d\",\n \"results_id\": \"d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a\",\n \"duration\": 30\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("{protocol}://{host}:{port}/pl/council-sage/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Senior Engineer Screen\",\n \"role\": \"Software Engineer\",\n \"role_level\": \"senior\",\n \"sage_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"council_id\": \"6151186e-3b17-4fb2-a54d-ff327bf7a71a\",\n \"context_id\": \"a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d\",\n \"results_id\": \"d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a\",\n \"duration\": 30\n}")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/pl/council-sage/")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Senior Engineer Screen\",\n \"role\": \"Software Engineer\",\n \"role_level\": \"senior\",\n \"sage_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"council_id\": \"6151186e-3b17-4fb2-a54d-ff327bf7a71a\",\n \"context_id\": \"a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d\",\n \"results_id\": \"d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a\",\n \"duration\": 30\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"role": "<string>",
"role_level": "<string>",
"instructions": "<string>",
"results_instructions": "<string>",
"context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intro_question": "<string>",
"duration": 123,
"version": 123,
"sage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"council_id": "<string>",
"results_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {},
"active": true,
"tone": "<string>",
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_avatar": "<string>",
"language_code": "<string>",
"followup_days": 123,
"audio": true,
"is_demo": true,
"is_internal": true,
"language": true,
"test_results": {}
}
Authorizations
User JWT token passed in Authorization header
Headers
Required JWT permission: council_sage (informational only -- enforced server-side)
Body
application/json
Experience level:
entry-- entry-level / internjunior-- 0-2 yearsmid-- 2-5 yearssenior-- 5-10 yearsprincipal-- 10+ years / staffother-- fallback
Available options:
entry, junior, mid, senior, principal, other Response
Council sage created
Council sage record (from CouncilSageModel.to_dict())